Bug 716949 (CVE-2011-2500) - CVE-2011-2500 nfs-utils: Improper authentication of an incoming request when an IP based authentication used
Summary: CVE-2011-2500 nfs-utils: Improper authentication of an incoming request when ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2500
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 715391 716950
Blocks: 716955
TreeView+ depends on / blocked
 
Reported: 2011-06-27 14:44 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 10:43:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1534 normal SHIPPED_LIVE Low: nfs-utils security, bug fix, and enhancement update 2011-12-06 01:01:48 UTC

Description Jan Lieskovsky 2011-06-27 14:44:36 UTC
A security flaw was found in the way nfs-utils performed authentication
of an incoming request, when an IP based authentication mechanism was used
and certain file systems were exported to either to a netgroup or a wildcard
(e.g. *.my.domain), and some file systems (either the same or different to
the first set) were exported to specific hosts, IP addresses, or a subnet.
A remote attacker, able to create global DNS entries could use this flaw
to access above listed, exported file systems.

References:
[1] https://bugzilla.novell.com/show_bug.cgi?id=701702
[2] http://www.openwall.com/lists/oss-security/2011/06/27/7
    (CVE Request)

Relevant upstream patch:
[3] http://marc.info/?l=linux-nfs&m=130875695821953&w=2

Comment 1 Jan Lieskovsky 2011-06-27 14:46:17 UTC
Further details how to reproduce the issue (from [1]):
======================================================

1/ On a server, export a filesystem to an IP address and a random wildcard.
e.g.

/export 192.168.1.1(rw,no_root_squash,no_subtree_check)
*.mydomain.com(ro,no-subtree_check)

exportfs -av

2/ In /etc/hosts define some name to have two IP address; one that was given in
   /etc/exports, one that is the IP address of your attach client

  192.168.1.1 attacker
  192.168.0.1 attacker

3/ try to mount /export from 192.168.0.1

This should normally fail, but the bug causes it to succeed.

Comment 2 Jan Lieskovsky 2011-06-27 14:47:41 UTC
This issue did NOT affect the versions of the nfs-utils package, as shipped
with Red Hat Enterprise Linux 4 and 5.

--

This issue affects the versions of the nfs-utils package, as shipped with
Red Hat Enterprise Linux 6.

--

This issue affects the versions of the nfs-utils package, as shipped with
Fedora release of 14 and 15. Please schedule an update.

Comment 3 Jan Lieskovsky 2011-06-27 14:48:29 UTC
Created nfs-utils tracking bugs for this issue

Affects: fedora-all [bug 716950]

Comment 4 Jan Lieskovsky 2011-06-29 08:51:55 UTC
The CVE identifier of CVE-2011-2500 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2011/06/28/17

Comment 8 Huzaifa S. Sidhpurwala 2011-06-30 09:40:40 UTC
Statement:

This issue did not affect the versions of nfs-utils as shipped with Red Hat Enterprise Linux 4 and 5. The Red Hat Security Response Team has rated this issue as having low security impact; a future update in Red Hat Enterprise Linux 6 may address this flaw.

Comment 15 errata-xmlrpc 2011-12-06 18:53:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1534 https://rhn.redhat.com/errata/RHSA-2011-1534.html


Note You need to log in before you can comment on or make changes to this bug.